Bug 203222 - radeon backlight patch update
radeon backlight patch update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 06:35 EDT by Tomas Lastovicka
Modified: 2015-01-04 17:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 03:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lastovicka 2006-08-19 06:35:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.4 (like Gecko)

Description of problem:
I have tried to add my IBM ThinkPad 2373-75G to radeon_pm_whitelist.h and the 
power consumption while suspended decreased rapidly. This solution worked with 
all 2.6 kernels i have tried (at least all of FC5 stable kernels)

the line, which should be added to radeon_pm_whitelist.h looks like this:

E("IBM", "237375G", "IBM ThinkPad T40", "Tomas Lastovicka 
<aquarius@lamer.cz>"),

Version-Release number of selected component (if applicable):
kernel-2.6

How reproducible:
Always


Steps to Reproduce:
1. change of radeon_pm_whitelist.h
2. recompile kernel
3. when using radeonfb, power consumption in S3 decreases from some 4Watts to 
0.5Watt

Actual Results:


Expected Results:


Additional info:
Comment 1 Dave Jones 2006-10-16 13:49:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Tomas Lastovicka 2006-10-18 07:03:10 EDT
Hello,
I have tested the new kernel and the problem seems to be solved. Additionaly 
some graphics related problems when resuming from S3 while using radeonfb (i 
had to switch to text console and back) were also solved. 

Thank you.

Note You need to log in before you can comment on or make changes to this bug.